<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package storefront
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php bloginfo( 'title' ); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
    <link rel="stylesheet" type="text/css" href="<?= get_stylesheet_directory_uri();?>/assets/css/xzoom.css" media="all" />
    <link type="text/css" href="<?= get_stylesheet_directory_uri();?>/assets/css/style.css" rel="stylesheet">
    <link type="text/css" href="<?= get_stylesheet_directory_uri();?>/assets/css/responsive.css" rel="stylesheet">
    <link type="text/css" href="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap5.min.css" rel="stylesheet">
    
    
</head>
<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    
    <header class="main_header">
        <div class="container">
             <div class="header_fixed">
                <a class="navbar-brand" href="<?= site_url('');?>">
                    <img class="logo img-fluid" src="<?= get_stylesheet_directory_uri();?>/assets/images/logo.png" alt="logo">
                    <span>कैट मध्य प्रदेश</span>
                </a>
                <div class="main_menu">
                    <div class="stellarnav">
                        <?php wp_nav_menu( array( 'container'=>true,'container_class' => true, 'theme_location' => 'primary' ) );?>
                        
                    </div>
                </div>
             </div>
        </div>
    </header>

