<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package storefront
 */
get_header();
$args = [];
$args['post_type'] = 'post';
$args['post_status'] = 'publish';
$args['posts_per_page'] = -1;
$args['order'] = 'ASC';
$posts_data = new WP_Query($args);
?>

<section class="slider_area">
    <div class="main_slider owl-carousel owl-theme">
        <?php 
        $home_slider_repeaters = get_field('home_slider_repeater',9);
        foreach($home_slider_repeaters as $home_slider_repeater){
        ?>
        <div class="item">
            <img src="<?= $home_slider_repeater['home_slider_image'];?>" class="img-fluid" alt="">
        </div>
        <?php
        }
        ?>
    </div>
</section>
    <!-- Main Slider Area End -->
    <section class="cait_secone sec_padding">
        <div class="container">
            <div class="row g-4">
                <?php 
                $args = [];
                $args['post_type'] = 'membership___knowled';
                $args['post_status'] = 'publish';
                $args['posts_per_page'] = -1;
                $args['order'] = 'ASC';
                $memberships = new WP_Query($args);
                foreach($memberships->posts as $membership){
                $membership_id = $membership->ID;
                ?>
                <div class="col-md-6 col-lg-6 col-xl-4">
                    <div class="cait_box1">
                        <div class="cait_box_figure">
                            <img src="<?= get_the_post_thumbnail_url($membership_id);?>" alt="">                            
                        </div>
                        <h5><?= get_the_title($membership_id);?></h5>
                        <p><?= get_the_excerpt($membership_id);?></p>
                        <a href="<?= get_permalink($membership_id);?>">Read More <i class="bi bi-chevron-right"></i></a>
                    </div>
                </div>
                <?php
                }
                ?>
                <div class="col-md-12 col-lg-12 col-xl-4">
                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-xl-12">
                            <div class="event_box1 mb-lg-5 mb-3">
                                <h5>Upcoming Event</h5>
                                <ul class="mb-2 row">
                                    <?php
                                    $date = strtotime(date('d/m/Y'));
                                    foreach($posts_data->posts as $post_data){
                                        $post_id = $post_data->ID;
                                        $event_start = strtotime(get_field('event_start_date',$post_id));
                                        $event_end = strtotime(get_field('event_end_date',$post_id));
                                        if(get_field('event_start_date',$post_id) > $date){
                                        }
                                        if(!empty($event_end) ? $event_end >= $date : $event_start >= $date){
                                        ?>
                                        <li>
                                            <div class="event_figure">
                                                <img src="<?= get_the_post_thumbnail_url($post_id);?>" alt="">
                                            </div>
                                            <div class="event_caption">
                                                <a href="#"><i class="bi bi-calendar-event"></i> <?= get_field('event_start_date',$post_id);?> </a>
                                                <a href="<?= get_permalink($past_post_id);?>"><?= get_the_title($post_id);?></a>
                                            </div>
                                        </li>
                                        <?php
                                        }
                                    }
                                    ?>
                                </ul>
                                <a href="#" class="btn-link">View All</a>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6 col-xl-12">
                            <div class="event_box1">
                                <h5>Past Event</h5>
                                <ul class="mb-2">
                                    <?php
                                    $date = strtotime(date('d/m/Y'));
                                    foreach($posts_data->posts as $row_post_data){
                                        $past_post_id = $row_post_data->ID;
                                        $event_start = strtotime(get_field('event_start_date',$past_post_id));
                                        $event_end = strtotime(get_field('event_end_date',$past_post_id));
                                        
                                        if(!empty($event_end) ? $event_end < $date : $event_start < $date){
                                        ?>
                                        <li>
                                            <div class="event_figure">
                                                <img src="<?= get_the_post_thumbnail_url($past_post_id);?>" alt="">
                                            </div>
                                            <div class="event_caption">
                                                <a href="#"><i class="bi bi-calendar-event"></i> <?= get_field('event_start_date',$past_post_id);?> </a>
                                                <a href="<?= get_permalink($past_post_id);?>"><?= get_the_title($past_post_id);?></a>
                                            </div>
                                        </li>
                                        <?php
                                        }
                                    }
                                    ?>
                                </ul>
                                <a href="#" class="btn-link">View All</a>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
            </div>
        </div>
    </section>

    <section class="gallery_sec sec_padding pb-120">
        <div class="container-fluid p-0 m-0">
            <div class="row">
                <div class="col-md-12">
                    <div class="sec_title text-center mb-lg-5 mb-3">
                        <h2 class="main_title"><?= get_field('cait_mp_slider_title',9);?></h2>
                        <h5 class="text-dark"><?= get_field('cait_mp_slider_sub_title',9);?></h5>
                    </div>
                </div>
            </div>
            <div class="gallery-carousel">
                <?php 
                $cait_mp_slider_repeaters = get_field('cait_mp_slider_repeater',9);
                foreach($cait_mp_slider_repeaters as $cait_mp_slider_repeater){
                ?>
                <div class="gallery-item">
                    <div class="image-area">
                        <img src="<?= $cait_mp_slider_repeater['cait_mp_slider_image'];?>" alt="image">
                    </div>
                </div>
                <?php
                }
                ?>
            </div>
           
        </div>
    </section>

<!-- Gallery End -->
    
    <section class="about_courses_sec sec_padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="sec_title text-center mb-lg-5 mb-3">
                        <h2 class="main_title text-white">We Care About</h2>
                        <h5 class="text-white">Confederation of All India Traders (CAIT)</h5>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center g-4">
                <?php 
                $args = [];
                $args['post_type'] = 'we_care_about';
                $args['post_status'] = 'publish';
                $args['posts_per_page'] = -1;
                $args['order'] = 'ASC';
                $we_care_about = new WP_Query($args);
                
                foreach($we_care_about->posts as $row_we_care_about){
                    $wca_id = $row_we_care_about->ID;
                    $wca_post_name = $row_we_care_about->post_name;
                    
                ?>
                <div class="col-md-6 col-lg-6 col-xl-4">
                    <div class="courses_box">
                        <div class="courses_icon">
                            <img src="<?= get_the_post_thumbnail_url($wca_id);?>" alt="">
                        </div>
                        <div class="courses_caption">
                            <h4><?= get_the_title($wca_id);?></h4>
                            <p><?= get_the_excerpt($wca_id);?></p>
                            <a href="<?= site_url('/'.$wca_post_name.'/');?>" class="btn btn_theme">Read More <i class="bi bi-chevron-right"></i></a>
                        </div>
                    </div>
                </div>
                <?php
                }
                ?>
            </div>
        </div>
    </section>

    <!-- Contact Form Area Start -->
        <section class="home_contact">
            <div class="container-fluid p-0 m-0">
                <div class="row align-items-center g-0 p-0 m-0">
                    <div class="col-md-4 col-lg-4 col-xl-6">
                        <div class="h-100">
                            <img src="<?= get_field('contact_us_image',9);?>" alt="">
                        </div>
                    </div>
                    <div class="col-md-8 col-lg-8 col-xl-6">
                        <div class="home_contact_form sec_padding ps-md-5 pe-md-5">
                            <div class="sec_title mb-5">
                                <h5 class="sub_title"><?= get_field('contact_us_title',9);?></h5>
                                <h2 class="main_title"><?= get_field('contact_us_subtitle',9);?></h2>
                                <p><?= get_field('contact_us_content',9);?></p>
                            </div>
                            <?php echo do_shortcode('[contact-form-7 id="146" title="Home Contact Us form"]');?>
                            <!--<div class="row g-3">-->
                            <!--    <div class="col-md-6">-->
                            <!--        <div class="form-group">-->
                            <!--            <input type="text" name="" id="" class="form-control" placeholder="Name/Trade">-->
                            <!--            <input type="text" name="" id="" class="form-control" placeholder="Phone Number">-->
                            <!--            <select name="" id="" class="form-select">-->
                            <!--                <option selected disabled>---Select District---</option>-->
                            <!--                <option value="">Agar Malwa</option>-->
                            <!--                <option value="">Alirajpur</option>-->
                            <!--                <option value="">Anuppur</option>-->
                            <!--                <option value="">Ashoknagar</option>-->
                            <!--                <option value="">Balaghat</option>-->
                            <!--                <option value="">Barwan</option>-->
                            <!--                <option value="">Betul</option>-->
                            <!--                <option value="">Bhind</option>-->
                            <!--                <option value="">Bhopal</option>-->
                            <!--                <option value="">Burhanpur</option>-->
                            <!--                <option value="">Chhatarpur</option>-->
                            <!--                <option value="">Chhindwara</option>-->
                            <!--                <option value="">Damoh</option>-->
                            <!--                <option value="">Datia</option>-->
                            <!--                <option value="">Dewas</option>-->
                            <!--                <option value="">Dhar</option>-->
                            <!--            </select>-->
                            <!--        </div>-->
                            <!--    </div>-->
                            <!--    <div class="col-md-6">-->
                            <!--        <div class="form-group">-->
                            <!--            <textarea name="" id="" cols="30" rows="7" class="form-control"></textarea>-->
                            <!--        </div>  -->
                            <!--        <div class="form-group text-end">-->
                            <!--            <button type="button" class="btn btn_theme">Submit Now</button>-->
                            <!--        </div>-->
                            <!--    </div>-->
                            <!--</div>-->
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <!-- Contact Form Area End -->

<?php
get_footer();
